Переполнение буфера в Ipswitch IMail Server

Дата публикации:
14.03.2005
Всего просмотров:
1009
Опасность:
Высокая
Наличие исправления:
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Воздействие:
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
Уязвимые версии: Ipswitch IMail Server 8.15 и более ранние версии

Описание:
Уязвимость позволяет удаленному авторизованному пользователю выполнить произвольный код с административными привилегиями на системе.

Уязвимость существует в службе IMAP при обработке входных данных в команде IMAP EXAMINE. Удаленный авторизованный пользователь может указать в качестве параметра команды EXAMINE специально сформированное имя почтового ящика длиной 259 байт, вызвать переполнение буфера и выполнить произвольный код на системе.

URL производителя: http://ipswitch.com

Решение: Установите исправление от производителя
ftp://ftp.ipswitch.com/Ipswitch/Product_Support/IMail/IM815HF1.exe

Ссылки: Ipswitch Collaboration Suite IMAP EXAMINE Buffer Overflow Vulnerability

или введите имя

CAPTCHA